
From: Jean Tourrilhes <jt@bougret.hpl.hp.com>

From: Stephen Hemminger

o [CORRECT] stir4200 - get rid of reset on speed change The Sigmatel 4200
  doesn't accept the address setting which gets done on USB reset.  The USB
  core recently changed to resend address (or something like that), so
  usb_reset_device is failing.

The device works without doing the USB reset on speed change, it just
will be less robust in recovering when things get wedged (like coming
out of FIR mode).

Signed-off-by: Stephen Hemminger <shemminger@osdl.org>
Signed-off-by: Jean Tourrilhes <jt@hpl.hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/irda/stir4200.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN drivers/net/irda/stir4200.c~irda-stir-driver-usb-reset-fix drivers/net/irda/stir4200.c
--- 25/drivers/net/irda/stir4200.c~irda-stir-driver-usb-reset-fix	Wed Oct 20 15:51:39 2004
+++ 25-akpm/drivers/net/irda/stir4200.c	Wed Oct 20 15:52:50 2004
@@ -528,11 +528,8 @@ static int change_speed(struct stir_cb *
 		err = rc;
 		goto out;
 	}
-	err = usb_reset_device(stir->usbdev);
 	if (rc)
 		usb_unlock_device(stir->usbdev);
-	if (err)
-		goto out;
 
 	/* Reset modulator */
 	err = write_reg(stir, REG_CTRL1, CTRL1_SRESET);
_
